// grid and page variables
@import 'base/vars';

// grid
@import 'libs';

// base style
@import 'base/mixins';
@import 'base/fonts';
@import 'base/general';

// slick slider
// @import 'plugin/slick';
// @import 'plugin/slick-theme';

.section{
    max-width: 100%;
}
.section-1{
    overflow: hidden;
}
.parallax-wrap{
    display: block;
    width: 100%;
}
#parallax{
    height: 500px;
    background-image: url(../img/index/highlight.jpg);
    display: flex;
    align-items: center;
    .layer{
        width: 100%;
        display: block;
        img{
            right: 0;
            bottom: -105px;
        }
    }
//     .container{
//         position: absolute;
//         top: 50%;
//         left: 50%;
//         transform: translate(-50%, -50%);
//         z-index: 3;
//         height: 500px;
//         .row{
//             height: 100%;
//         }
//     }
}
.parallax-row{
    position: relative;
    .slide-text{
        @include mx-montserrat(#fff, 22px, 400);
        line-height: 28px;
        display: block;
        margin: 50px 0 35px;
    }
}

// section 2
.promo-cars-wrap{
    display: flex;
    flex-wrap: wrap;
}
.align-center{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
}
.align-end{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-end;
}
.align-end-right{
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    justify-content: flex-end;
}
.promo-row{
    margin-top: -66px;
}
.promo-card{
    min-height: 280px;
    width: 100%;
    padding: 40px;
    position: relative;
    background-repeat: no-repeat;
    background-size: 120%;
    background-position: center center;
    transition: background-size 0.2s ease-in-out;
    &:hover{
        background-size: 105%; 
    }
}
.promo-card.card-1{
    background: linear-gradient(to right, #fb687c, #fc91a0);
    z-index: 5;
    &:before{
        position: absolute;
        content: '';
        width: 303px;
        height: 269px;
        bottom: 0;
        right: -25px;
        background-image: url(../img/index/phone.png);
    }
}
.promo-card.card-2{
    .page-title h3{
        color: #333333;
        strong{
            color: $blue;
        }
    }
}
.promo-card.card-3{
    width: 100%;
    background-image: url(../img/index/card1.jpg);
    .link__pink{
        transition: color 0.3s ease-in-out;
        &:hover{
            background-color: $pink;
            color: #fff;
        }
    }
}
.promo-card.card-4{
    width: 50%;
    background-image: url(../img/index/card2.jpg);
    .page-title strong{
        color: #333333;
    }
}
.promo-card.card-5{
    width: 50%;
    background-image: url(../img/index/card3.jpg);
}
.promo-card.card-6{
    height: 100%;
    background-image: url(../img/index/card4.jpg);
}
.promo-row-2{
    .promo-left{
        padding-right: 0;
    }
    .promo-right{
        padding-left: 0;
    }
}
.section-3{
    padding: 55px 0;
    p{
        @include mx-montserrat(#333333, 14px, 400);
        margin: 0;
    }
}
.section-4{
    padding: 55px 0;
    background-color: #ecf0f1;
    .social-networks{
        display: flex;
        justify-content: center;
        align-items: center;
        .soc-link{
            margin: 0 15px;
            text-decoration: none;
            transition: transform .2s ease-in-out;
            &:before{
                font-size: 60px;
                color: #b5b9ba;
                transition: color .3s ease-in-out;
            }
            &:hover{
                text-decoration: none;
                transform: scale(1.2);
                &:before{
                    color: $blue;
                }
            }
        }
    }
}

@media (min-width: 992px) and (max-width: 1260px){
    .promo-row{
        margin-top: -35px;
    }
    .promo-card{
        min-height: 236px;
        &:hover{
            background-size: 109%;
        }
    }
    .promo-card.card-1:before{
        right: -50px;
        background-size: 90%;
        background-repeat: no-repeat;
        background-position: bottom right;
    }
}
@media (max-width: 991px){
    .promo-row-2 .promo-right{
        padding-left: 15px !important;
    }
    .promo-row-2 .promo-left{
        padding-right: 15px !important;
    }
}
@media (min-width: 768px) and (max-width: 991px){
    .promo-card:hover{
        background-size: 114%;
    }
    .promo-card.card-6{
        width: 50%;
        background-position: top center;
    }
    #parallax .layer img{
        width: 300px !important;
    }
}
@media (max-width: 767px){
    #port img{
        width: 320px;
    }
}
@media (min-width: 576px) and (max-width: 767px){
    .promo-card.card-1:before{
        background-size: 80%;
        background-repeat: no-repeat;
        background-position: bottom right;
    }
    .promo-card:hover{
        background-size: 120%;
    }
    .promo-card.card-6{
        width: 50%;
        background-position: top center;
    }
    .promo-card{
        min-height: 215px;
    }
    .section-4 .social-networks .soc-link:before{
        font-size: 42px;
    }
    .promo-card.card-5{
        display: flex;
        flex-direction: column;
        align-items: flex-end;
        justify-content: center;
    }
    #parallax .layer img{
        width: 250px !important;
    }
}
@media (max-width: 575px){
    #parallax{
        margin-bottom: 25px;
    }
    .section-1{
        position: relative;
        z-index: 4;
    }
    .page-title h1{
        font-size: 36px;
        line-height: 34px;
        strong{
            font-size: 30px;
        }
    }
    #parallax .layer img{
        display: none;
    }
    .promo-row{
        margin: 0;
        .col-12{
            padding: 0;
        }
    }
    .promo-card.card-1:before{
        display: none;
    }
    .promo-card.card-4, .promo-card.card-5{
        width: 100% !important;
    }
    .section-4 .social-networks .soc-link:before{
        font-size: 23px !important;
    }
    .promo-card{
        min-height: 249px !important;
        display: flex;
        align-items: flex-start !important;
        justify-content: flex-end !important;
        flex-direction: column;
        margin-bottom: 15px;
        background-size: cover !important;
        &:hover{
            background-size: cover !important;
        }
        .page-title{
            h3{
                font-size: 24px;
                line-height: 26px;
                strong{
                    font-size: 24px;
                }
            }
        }
    }
    .promo-card.card-6{
        background-position: top;
    }
    .promo-card.card-3{
        background-size: cover;
    }
    .section-title{
        font-size: 24px !important;
    }
    .promo-row{
        .col-12{
            padding: 0;
        }
    }
}